Make travis update to newer compilers
authorDale Weiler <weilercdale@gmail.com>
Thu, 15 Jan 2015 02:54:41 +0000 (21:54 -0500)
committerDale Weiler <weilercdale@gmail.com>
Thu, 15 Jan 2015 02:54:41 +0000 (21:54 -0500)
.travis.yml

index 45e9c7e..830f373 100644 (file)
@@ -1,9 +1,27 @@
-language: c
+language: cpp
+
 compiler:
   - gcc
   - clang
-# Change this to your needs
-script: make && make test
+
+before_install:
+  # g++4.8.1
+  - if [ "$CXX" == "g++" ]; then sudo add-apt-repository -y ppa:ubuntu-toolchain-r/test; fi
+  # clang 3.4
+  - if [ "$CXX" == "clang++" ]; then sudo add-apt-repository -y ppa:h-rayflood/llvm; fi
+  - sudo apt-get update -qq
+
+install:
+  # g++4.8.1
+  - if [ "$CXX" = "g++" ]; then sudo apt-get install -qq g++-4.8; fi
+  - if [ "$CXX" = "g++" ]; then export CXX="g++-4.8"; fi
+  # clang 3.4
+  - if [ "$CXX" == "clang++" ]; then sudo apt-get install --allow-unauthenticated -qq clang-3.4; fi
+  - if [ "$CXX" == "clang++" ]; then export CXX="clang++-3.4"; fi
+
+script:
+    - make test
+
 notifications:
     irc:
         channels: